package com.bonus.hn.bearing.capacity.backstage.corporateOrg.service;

import com.bonus.hn.bearing.capacity.backstage.corporateOrg.entity.CorporateBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.MapBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface CorporateService {

    List<CorporateBean> getList(CorporateBean o);

    int addInfo(CorporateBean bean);

    CorporateBean getListById(String id);

    int updateSwitchListen(CorporateBean bean);

    int updateInfo(CorporateBean bean);

    List<MapBean> getRole();

    List<CorporateBean> getFirmList(CorporateBean o);

    int addFirmInfo(CorporateBean bean);

    CorporateBean getListFirm(String id);

    int updateFirm(CorporateBean bean);

    List<CorporateBean> getProjectList(CorporateBean o);

    int updateswitchProject(CorporateBean bean);

    int addProjectInfo(CorporateBean bean);

    CorporateBean getListProject(String id);

    int updateProject(CorporateBean bean);

    int delFirmById(String id);
}

